

// 背景变暗的弹出窗口
function PopupShow(title, url)
{
	var w = 560;
	var h = 460;
	var titleheight = "22"; // 提示窗口标题高度
	var bordercolor = "#666699"; // 提示窗口的边框颜色
	var titlecolor = "#FFFFFF"; // 提示窗口的标题颜色
	var titlebgcolor = "#666699"; // 提示窗口的标题背景色
	var bgcolor = "#FFFFFF"; // 提示内容的背景色

	var iWidth = document.documentElement.clientWidth;
	var iHeight = document.body.scrollHeight + 24; //document.documentElement.clientHeight;
	var vHeight = document.documentElement.clientHeight;
	var bgObj = document.createElement("div");
	bgObj.style.cssText = "position:absolute;left:0px;top:0px;width:"+iWidth+"px;height:"+Math.max(document.body.clientHeight, iHeight)+"px;filter:alpha(opacity=55);opacity:0.55;background-color:#000000;z-index:101;";
	document.body.appendChild(bgObj);

	var msgObj=document.createElement("div");
	msgObj.style.cssText = "position:absolute;font:11px '宋体';top:"+(vHeight-h)/2+"px;left:"+(iWidth-w)/2+"px;width:"+w+"px;height:"+h+"px;text-align:center;border:1px solid "+bordercolor+";background-color:"+bgcolor+";padding:1px;line-height:22px;z-index:102;";
	document.body.appendChild(msgObj);

	var table = document.createElement("table");
	msgObj.appendChild(table);
	table.style.cssText = "margin:0px;border:1px;padding:0px;border-collapse:collapse;border:solid 1px " + titlebgcolor;
	table.cellSpacing = 0;
	var tr = table.insertRow(-1);
	tr.style.cssText = "height:" + titleheight + "px;";
	var titleBar = tr.insertCell(-1);
	titleBar.style.cssText = "width:100%;text-align:left;padding:3px;margin:0px;font:bold 13px '宋体';color:"+titlecolor+";border:1px solid " + bordercolor + ";cursor:move;background-color:" + titlebgcolor;
	titleBar.style.paddingLeft = "10px";
	titleBar.innerHTML = title;

	var moveX = 0;
	var moveY = 0;
	var moveTop = 0;
	var moveLeft = 0;
	var moveable = false;

	var docMouseMoveEvent = document.onmousemove;
	var docMouseUpEvent = document.onmouseup;

	titleBar.onmousedown = function() 
	{
		var evt = getEvent();
		moveable = true;
		moveX = evt.clientX;
		moveY = evt.clientY;
		moveTop = parseInt(msgObj.style.top);
		moveLeft = parseInt(msgObj.style.left);

		document.onmousemove = function() 
		{
			if (moveable) 
			{
				var evt = getEvent();
				var x = moveLeft + evt.clientX - moveX;
				var y = moveTop + evt.clientY - moveY;
				if ( x > 0  && ( x + w < iWidth)  &&  y > 0  &&  (y + h < iHeight) ) {
					msgObj.style.left = x + "px";
					msgObj.style.top = y + "px";
				}
			}
		};

		document.onmouseup = function () 
		{
			if (moveable) 
			{
				document.onmousemove = docMouseMoveEvent;
				document.onmouseup = docMouseUpEvent;
				moveable = false;
				moveX = 0;
				moveY = 0;
				moveTop = 0;
				moveLeft = 0;
			}
		};
	}

	var closeBtn = tr.insertCell(-1);
	closeBtn.style.cssText = "cursor:pointer; padding:2px;background-color:" + titlebgcolor;
	closeBtn.innerHTML = "<span style='font-size:12pt; color:"+titlecolor+";'>×</span>";

	closeBtn.onclick = function()
	{
		document.body.removeChild(bgObj);
		document.body.removeChild(msgObj);
	}
	var msgTr = table.insertRow(-1);
	msgTr.style.cssText = "height:" + (h-titleheight-5) + "px;";
	var msgBox = msgTr.insertCell(-1);
	msgBox.style.cssText = "font:12px '宋体';padding:10px;";
	msgBox.colSpan  = 2;
	if(url.substr(0,6)=="http:/" || url.substr(0,1)=="/") 
		msgBox.innerHTML = "<iframe src=\"" + url + "\" width=\"" + (w-20-4) + "\" height=\"" + (h-titleheight-20-10) + "\" frameborder=\"no\" scrolling=\"no\"></iframe>";
	else
		msgBox.innerHTML = url;

	// 获得事件Event对象，用于兼容IE和FireFox
	function getEvent() 
	{
		return window.event || arguments.callee.caller.arguments[0];
	}

	function getPosition() 
	{
		var top = document.documentElement.scrollTop;
		var left = document.documentElement.scrollLeft;
		var height = document.documentElement.clientHeight;
		var width = document.documentElement.clientWidth;
		return {top:top,left:left,height:height,width:width };
	}

	window.onscroll = function ()
	{
		var Position = getPosition();
		var leftadd = (Position.width - w)/2;
		var topadd = (Position.height - h)/2;

		msgObj.style.top = (Position.top + topadd) +"px";
	};
}

/*
<a href="javascript:void(0);" onclick="window.open('http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url='+encodeURIComponent(document.location.href));return false;" title="分享到QQ空间"><img src="http://qzonestyle.gtimg.cn/ac/qzone_v5/app/app_share/qz_logo.png" alt="分享到QQ空间" /></a>
*/
